VersionChangeDetectedEvent

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.davic.mpeg.sections
Class VersionChangeDetectedEvent

    java.lang.Object
      java.util.EventObject
          org.davic.mpeg.sections.SectionFilterEvent
              org.davic.mpeg.sections.VersionChangeDetectedEvent

All Implemented Interfaces:
  Serializable

    public class VersionChangeDetectedEvent

extends SectionFilterEvent

This class is used by TableSectionFilter to report that a section has been encountered which has a different version_number from earlier sections. It is generated only once per filtering action. The section with a different version_number is ignored.

Version:
  new for DAVIC 1.3.1
See Also:
  Serialized Form

Constructor Summary
`VersionChangeDetectedEvent(SectionFilter f, Object appData)` This constructs a VersionChangeDetectedEvent event for the specified SectionFilter object.

Method Summary
`int` | `getNewVersion()` This returns the version number of the new table.
`int` | `getOriginalVersion()` This returns the original version number of the table.
`Object` | `getSource()` This returns the SectionFilter object which filtered the data.

Methods inherited from class org.davic.mpeg.sections.SectionFilterEvent
`getAppData`

Methods inherited from class java.util.EventObject
`toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### VersionChangeDetectedEvent

    public VersionChangeDetectedEvent(SectionFilter f,
                                      Object appData)

  This constructs a VersionChangeDetectedEvent event for the specified SectionFilter object.

  Parameters:
    `f` - the SectionFilter object which filtered the data.
    `appData` - application data that was passed to the startFiltering method

Method Detail

### getSource

    public Object getSource()

  This returns the SectionFilter object which filtered the data.

  Overrides:
    `getSource` in class `SectionFilterEvent`
  Returns:
    The object on which the Event initially occurred.

### getOriginalVersion

    public int getOriginalVersion()

  This returns the original version number of the table.

### getNewVersion

    public int getNewVersion()

  This returns the version number of the new table.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD